<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/admin/init.jsp" %>

<%
PortletURL displayStyleURL = renderResponse.createRenderURL();

int delta = ParamUtil.getInteger(request, "delta");

if (delta > 0) {
	displayStyleURL.setParameter("delta", String.valueOf(delta));
}
%>

<liferay-frontend:management-bar-display-buttons
	displayViews="<%= ddlFormAdminDisplayContext.getDisplayViews() %>"
	portletURL="<%= displayStyleURL %>"
	selectedDisplayStyle="<%= ddlFormAdminDisplayContext.getDisplayStyle() %>"
/>