<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/admin/init.jsp" %>

<%
ResultRow row = (ResultRow)request.getAttribute(WebKeys.SEARCH_CONTAINER_RESULT_ROW);

DDLRecordSet ddlRecordSet = (DDLRecordSet)row.getObject();

DateSearchEntry dateSearchEntry = new DateSearchEntry();

dateSearchEntry.setDate(ddlRecordSet.getModifiedDate());

String href = (String)request.getAttribute(WebKeys.SEARCH_ENTRY_HREF);
%>

<div class="clamp-container">
	<h4 class="truncate-text">
		<aui:a cssClass="record-set-name" href="<%= href %>">
			<%= HtmlUtil.escape(ddlRecordSet.getName(locale)) %>
		</aui:a>
	</h4>

	<h5 class="text-default">
		<div class="record-set-description truncate-text">
			<%= HtmlUtil.escape(ddlRecordSet.getDescription(locale)) %>
		</div>
	</h5>

	<h5 class="text-default">
		<span class="record-set-id">
			<liferay-ui:message key="id" />: <%= ddlRecordSet.getRecordSetId() %>
		</span>
		<span class="record-set-modified-date">
			<liferay-ui:message key="modified-date" />: <%= dateSearchEntry.getName(request) %>
		</span>
	</h5>
</div>