<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
LayoutsPrototypeTreeDisplayContext layoutsTreeDisplayContext = new LayoutsPrototypeTreeDisplayContext(liferayPortletRequest, liferayPortletResponse);
%>

<div class="layout-prototype-tree lfr-tree">
	<div class="tree-container tree-pages">
		<li class="tree-node">
			<div class="tree-node-content <%= layoutsTreeDisplayContext.isLayoutSelected() ? "tree-node-selected" : StringPool.BLANK %>">
				<span class="tree-label">
					<aui:a cssClass="layout-tree" href="<%= layoutsTreeDisplayContext.getLayoutURL() %>" label="<%= layoutsTreeDisplayContext.getLayoutName() %>" />

					<div class="dropdown dropdown-menu-no-arrow layout-tree-options" data-updateable="true">
						<a aria-expanded="false" class="dropdown-toggle icon-monospaced" data-qa-id="pageOptions" data-toggle="dropdown" href="javascript:;">
							<aui:icon image="ellipsis-v" markupView="lexicon" />
						</a>

						<ul class="dropdown-menu dropdown-menu-left-side">
							<li>
								<a class="layout-tree-edit" data-qa-id="editPage" data-updateable="true" href="<%= layoutsTreeDisplayContext.getEditLayoutURL() %>">
									<span aria-hidden="true"><liferay-ui:message key="edit" /></span>
									<span class="sr-only"><liferay-ui:message arguments="<%= layoutsTreeDisplayContext.getLayoutName() %>" key="edit-x" /></span>
								</a>
							</li>
						</ul>
					</div>
				</span>
			</div>
		</li>
	</div>
</div>