<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/html/taglib/aui/panel/init.jsp" %>

<%
String bodyContentString = StringPool.BLANK;

Object bodyContent = request.getAttribute("aui:panel:bodyContent");

if (bodyContent != null) {
	bodyContentString = bodyContent.toString();
}
%>

<liferay-ui:panel-container extended="<%= !collapsed %>" id='<%= id + "Container" %>' markupView="lexicon" persistState="<%= true %>">
	<liferay-ui:panel collapsible="<%= collapsible %>" extended="<%= !collapsed %>" id="<%= id %>" markupView="lexicon" persistState="<%= true %>" title="<%= localizeLabel ? LanguageUtil.get(request, label) : label %>">
		<%= bodyContentString %>
	</liferay-ui:panel>
</liferay-ui:panel-container>