<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<div class="product-menu product-menu-expanded sidebar-body sidenav-fixed sidenav-menu-slider">
	<div class="panel">
		<div class="nav nav-equal-height">
			<liferay-util:include page="/panel/app/layouts_tree.jsp" servletContext="<%= application %>" />
		</div>
	</div>
</div>

<aui:script use="aui-base">
	var opener = Liferay.Util.getOpener();

	A.one('.product-menu').delegate(
		'click',
		function(event) {
			event.preventDefault();
			opener.document.location.href = event.currentTarget.get('href');
		},
		'a'
	);
</aui:script>