/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.dynamic.data.mapping.model;

/**
 * @author Marcellus Tavares
 */
public class DDMFormFieldType {

	public static final String CHECKBOX = "checkbox";

	public static final String DATE = "ddm-date";

	public static final String DECIMAL = "ddm-decimal";

	public static final String DOCUMENT_LIBRARY = "ddm-documentlibrary";

	public static final String FIELDSET = "fieldset";

	public static final String GEOLOCATION = "ddm-geolocation";

	public static final String IMAGE = "ddm-image";

	public static final String INTEGER = "ddm-integer";

	public static final String JOURNAL_ARTICLE = "ddm-journal-article";

	public static final String LINK_TO_PAGE = "ddm-link-to-page";

	public static final String NUMBER = "ddm-number";

	public static final String PASSWORD = "password";

	public static final String RADIO = "radio";

	public static final String SELECT = "select";

	public static final String SEPARATOR = "ddm-separator";

	public static final String TEXT = "text";

	public static final String TEXT_AREA = "textarea";

	public static final String TEXT_HTML = "ddm-text-html";

}